All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.qualifiers
Class SwingQualifiersEditor

    com.sas.dataselectors.qualifiers.SwingQualifiersEditor

All Implemented Interfaces:
  com.sas.swing.dataselectors.editors.EditorInterface, com.sas.swing.dataselectors.editors.QualifiersEditorInterface

    public class SwingQualifiersEditor

implements com.sas.swing.dataselectors.editors.QualifiersEditorInterface

Is the QualifiersEditorInterface for Swing.

Since:
  3.1
See Also:
  `QualifiersEditorInterface`

Field Summary
`com.sas.dataselectors.qualifiers.QualifiersSelectorInterface` | `adapter` The adapter used by the Qualifiers Editor
`QualifiersDialog` | `dialog` The dialog that displays the user interface (UI) of the Qualifiers Editor

Constructor Summary
`SwingQualifiersEditor(com.sas.dataselectors.qualifiers.QualifiersSelectorInterface adapter, java.lang.String title)` Constructor

Method Summary
`void` | `clearButtonText(java.lang.String text)` Set the text displayed by the "clear" button, e.g.
`void` | `initialValues(java.util.Map values)` Set the initial values of the items
`boolean` | `isEditOK()` Returns a status code specifying whether the user OK'ed or cancelled out of editor.
`void` | `itemLabel(java.lang.String label)` Set the label of the item which the qualifiers apply to, e.g.
`void` | `itemName(java.lang.String name)` Set the name of the item which the qualifiers apply to, e.g.
`void` | `itemsLabel(java.lang.String label)` Set the label for the list of items which the qualifiers can be set to, e.g.
`void` | `itemsListHeight(int height)` Sets the height of the list that displays the items, for Swing only, to be used together with preferredSize().
`void` | `itemsNameColumnLabel(java.lang.String label)` Set the label of the column of the item names in the list of items, e.g.
`void` | `itemsValueColumnLabel(java.lang.String label)` Set the label of the column that contains the values of the qualifiers set on the items, in the list of items, e.g.
`java.util.Map` | `selectedValues()` Returns the values that have been selected in the editor.
`void` | `showEditor(java.lang.Object parent)` Displays the editor.
`void` | `size(int width, int height)` Set the size of the dialog being displayed, only for Swing
`void` | `skipItem(java.lang.String itemID)` Set the index of the item not to be displayed in the list of items.

Field Detail

### dialog

    public QualifiersDialog dialog

  The dialog that displays the user interface (UI) of the Qualifiers Editor

### adapter

    public com.sas.dataselectors.qualifiers.QualifiersSelectorInterface adapter

  The adapter used by the Qualifiers Editor

Constructor Detail

### SwingQualifiersEditor

    public SwingQualifiersEditor(com.sas.dataselectors.qualifiers.QualifiersSelectorInterface adapter,
                                 java.lang.String title)

  Constructor

  Parameters:
    `adapter` - The adapter used by the Qualifiers Editor
    `title` - The title for the Qualifiers Editor

Method Detail

### showEditor

    public void showEditor(java.lang.Object parent)

  Description copied from interface: `EditorInterface`
  Displays the editor. For Swing editors, the `userData` argument should be used to supply the editor with the parent Frame.

  Specified by:
    `showEditor` in interface `com.sas.swing.dataselectors.editors.EditorInterface`

### isEditOK

    public boolean isEditOK()

  Description copied from interface: `EditorInterface`
  Returns a status code specifying whether the user OK'ed or cancelled out of editor.

  Specified by:
    `isEditOK` in interface `com.sas.swing.dataselectors.editors.EditorInterface`

### itemLabel

    public void itemLabel(java.lang.String label)

  Description copied from interface: `QualifiersEditorInterface`
  Set the label of the item which the qualifiers apply to, e.g. "Based on" or "Where" etc.

  Specified by:
    `itemLabel` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`
  Parameters:
    `label` - - the item's label

### itemName

    public void itemName(java.lang.String name)

  Description copied from interface: `QualifiersEditorInterface`
  Set the name of the item which the qualifiers apply to, e.g. "Sales_AVG".

  Specified by:
    `itemName` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`
  Parameters:
    `name` - - the item's name.

### itemsLabel

    public void itemsLabel(java.lang.String label)

  Description copied from interface: `QualifiersEditorInterface`
  Set the label for the list of items which the qualifiers can be set to, e.g. "For".

  Specified by:
    `itemsLabel` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`
  Parameters:
    `label` - - the items list label

### itemsNameColumnLabel

    public void itemsNameColumnLabel(java.lang.String label)

  Description copied from interface: `QualifiersEditorInterface`
  Set the label of the column of the item names in the list of items, e.g. "Data Item".

  Specified by:
    `itemsNameColumnLabel` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`

### itemsValueColumnLabel

    public void itemsValueColumnLabel(java.lang.String label)

  Description copied from interface: `QualifiersEditorInterface`
  Set the label of the column that contains the values of the qualifiers set on the items, in the list of items, e.g. "Selected member".

  Specified by:
    `itemsValueColumnLabel` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`

### clearButtonText

    public void clearButtonText(java.lang.String text)

  Description copied from interface: `QualifiersEditorInterface`
  Set the text displayed by the "clear" button, e.g. "Clear selection".

  Specified by:
    `clearButtonText` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`

### skipItem

    public void skipItem(java.lang.String itemID)

  Description copied from interface: `QualifiersEditorInterface`
  Set the index of the item not to be displayed in the list of items.

  Specified by:
    `skipItem` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`
  Parameters:
    `itemID` - - The id of the item not to be displayed in the list of items

### selectedValues

    public java.util.Map selectedValues()

  Description copied from interface: `QualifiersEditorInterface`
  Returns the values that have been selected in the editor. In the returned Map there will be an element for each selected item, the element's key will be the unique id of the selected item while the element's value will be the unique id of the selected value.

  Specified by:
    `selectedValues` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`
  Returns:
    java.util.Map

### initialValues

    public void initialValues(java.util.Map values)

  Description copied from interface: `QualifiersEditorInterface`
  Set the initial values of the items

  Specified by:
    `initialValues` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`
  Parameters:
    `values` - - The Map containing the initial values for the items. In the Map there is an element for each item that has an initial value, the element's key is the unique id of the item while the element's value is the unique id of the initial value.

### size

    public void size(int width,
                     int height)

  Description copied from interface: `QualifiersEditorInterface`
  Set the size of the dialog being displayed, only for Swing

  Specified by:
    `size` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`

### itemsListHeight

    public void itemsListHeight(int height)

  Description copied from interface: `QualifiersEditorInterface`
  Sets the height of the list that displays the items, for Swing only, to be used together with preferredSize().

  Specified by:
    `itemsListHeight` in interface `com.sas.swing.dataselectors.editors.QualifiersEditorInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.